MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Enumerations | Functions

# src/replay_gain_info.h File Reference

`#include "check.h"`
`#include <stdbool.h>`
`#include <math.h>`

Go to the source code of this file.

## Data Structures
struct | replay_gain_tuple
struct | replay_gain_info
## Enumerations
enum | replay_gain_mode { REPLAY_GAIN_AUTO = -2, REPLAY_GAIN_OFF, REPLAY_GAIN_ALBUM, REPLAY_GAIN_TRACK }
## Functions
static void | replay_gain_tuple_init (struct replay_gain_tuple *tuple)
static void | replay_gain_info_init (struct replay_gain_info *info)
static bool | replay_gain_tuple_defined (const struct replay_gain_tuple *tuple)
float | replay_gain_tuple_scale (const struct replay_gain_tuple *tuple, float preamp, float missing_preamp, bool peak_limit)
void | replay_gain_info_complete (struct replay_gain_info *info)
| Attempt to auto-complete missing data.

## Enumeration Type Documentation

enum replay_gain_mode

Enumerator:

  REPLAY_GAIN_AUTO |
  REPLAY_GAIN_OFF |
  REPLAY_GAIN_ALBUM |
  REPLAY_GAIN_TRACK |

Definition at line 28 of file replay_gain_info.h.

## Function Documentation

void replay_gain_info_complete | ( | struct replay_gain_info * | info | ) |

Attempt to auto-complete missing data.

In particular, if album information is missing, track gain is used.

static void replay_gain_info_init | ( | struct replay_gain_info * | info | ) | `[inline, static]`

Definition at line 52 of file replay_gain_info.h.

static bool replay_gain_tuple_defined | ( | const struct replay_gain_tuple * | tuple | ) | `[inline, static]`

Definition at line 59 of file replay_gain_info.h.

static void replay_gain_tuple_init | ( | struct replay_gain_tuple * | tuple | ) | `[inline, static]`

Definition at line 45 of file replay_gain_info.h.

float replay_gain_tuple_scale | ( | const struct replay_gain_tuple * | tuple,
|  | float | preamp,
|  | float | missing_preamp,
|  | bool | peak_limit
| ) |  |